#
# spec file for package python-cssutils
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-cssutils
Version:        1.0
Release:        5.5
Url:            http://cthedot.de/cssutils/
Summary:        A CSS Cascading Style Sheets library for Python
License:        LGPL-3.0+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/c/cssutils/cssutils-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
Provides:       python-css-utils-doc = %{version}
Obsoletes:      python-css-utils-doc < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Python package to parse and build CSS Cascading Style Sheets. DOM only, not any rendering facilities!

%prep
%setup -q -n cssutils-%{version}
sed -i "1d" src/cssutils/{parse,codec,sac,serialize,scripts/csscapture,_codec2,errorhandler,scripts/cssparse,_codec3,scripts/csscombine,tokenize2,__init__}.py # Fix non-executable scripts
sed -i "s/\r//" src/cssutils/{sac,scripts/csscombine,tokenize2}.py COPYING COPYING.LESSER examples/{website,minify,imports,cssencodings,style,testutil,codec}.py # Fix EOL encodings

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LESSER README.txt examples
%{_bindir}/css*
%{python_sitelib}/cssutils-%{version}-py*.egg-info/
%{python_sitelib}/cssutils/
%{python_sitelib}/encutils/

%changelog
* Sat May  2 2015 benoit.monin@gmx.fr
- update to version 1.0:
  * EXPERIMENTAL: Variable references may have a fallback value now
    (as implemented in Firefox 29). It is available as
    CSSVariable.fallback and example are:
  * FEATURE: (issue #37) Implemented parsing of CSSCalc values.
    General syntax is checked but not if operators in calc are
    actually the right kind like DIMENSION * DIMENSION. Also Values
    using calc do not validate in cssutils but are actually valid.
  * FIXED issue #20 and #35 (Test fail CSSParser.parseUrl() error
    with Python 3.3)
  * FIXED issue #21: (almost all) deprecation warning in Py 3.3
    fixed.
  * FIXED issue #30 (Test failed)
  * FIXED issue #33 (well kinda): Added that cssutils is **not**
    threadsafe!
  * FIXED issue #34: More complext MediaQueries should be parsable
    now. A few slight changes in behavior are:
  - xml.dom.SyntaxErr raised instead of
    xml.dom.InvalidCharacterErr for an unknown media type
  - removed handheld media type special case (for old Opera).
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Apr 17 2013 toddrme2178@gmail.com
- Update to version 0.9.10:
  * No changelog provided
* Tue Apr 16 2013 p.drouand@gmail.com
- Remove BuildRequires: python-2to3, useless since included in main
  python devel package
- Add Requires: python3; fix build for OpenSUSE <= 12.2
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Mar 12 2012 saschpe@gmx.de
- Update to version 9.9.9:
  * No changelog provided
* Wed Sep  7 2011 saschpe@suse.de
- Obsolete/Provide python-cssutils-doc
* Fri Sep  2 2011 saschpe@suse.de
- Update to version 0.9.8a3:
  * No HTML docs anymore
- Spec file cleanup
* Thu Jan  6 2011 rwobben@hotmail.com
- Update to version 0.9.8a1
  * BUGFIX: fixes issue #41, #42, #45, #46
* Mon Nov  8 2010 rwobben@hotmail.com
- Update to 0.9.7b4
  * improves parsing of MS specific (and probably invalid!) values
* Mon Nov  8 2010 pth@suse.de
- Make package own the documentation subdir.
- Mark documentation as such.
* Tue Sep 14 2010 coolo@novell.com
- update to 0.9.7b3
- several changes (see CHANGELOG.txt), just random picks:
  * Massive speed improvement of handling of CSSVariables of a stylesheet
  * CSSFunction value parameters may contain HASH values like ``#fff`` now
  * Changed parameters of script/utility function ``csscombine``.
- sphinx conf no longer provided
* Tue May 18 2010 prusnak@suse.cz
- Update to 0.9.7a4
- cleanup spec file
- api changes:
  * CSSRule values changed: NAMESPACE_RULE, COMMENT, VARIABLES_RULE
  * CSSStyleSheet.setSerializer and CSSStyleSheet.setSerializerPref DEPRECATED
- compliance to http://dev.w3.org/csswg/cssom improved.
- new features:
  * Started CSS Variables <http://disruptive-innovations.com/zoo/cssvariables/>
  * added cssutils.css.CSSStyleSheet.variables
  * cssutils.ser.prefs.resolveVariables switchable
  * cssutils.ser.prefs.normalizedVarNames switchable
  * Added new options to cssutils.script.csscombine: cssText=None, href=None
  * Added CSSRuleList.rulesOfType(type)
* Mon May 17 2010 toms@suse.de
- Update to 0.9.7a3 as needed for FATE#309541
- Added build requirement for python-sphinx
- Added patch for copy.py (sphinx documentation)
- Rebuild HTML documentation with sphinx
- Better separate documentation package from main package
* Mon Apr 28 2008 pth@suse.de
- Initial package.
